Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class HTTPRetriever

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.URLRetriever
                  gov.nasa.worldwind.HTTPRetriever

All Implemented Interfaces:
  AVList, Retriever, WWObject, PropertyChangeListener, Callable<Retriever>, EventListener

    public class HTTPRetriever

extends URLRetriever

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Fields inherited from interface gov.nasa.worldwind.Retriever
`RETRIEVER_STATE_CONNECTING, RETRIEVER_STATE_ERROR, RETRIEVER_STATE_INTERRUPTED, RETRIEVER_STATE_NOT_STARTED, RETRIEVER_STATE_READING, RETRIEVER_STATE_STARTED, RETRIEVER_STATE_SUCCESSFUL`

Constructor Summary
`HTTPRetriever(URL url, RetrievalPostProcessor postProcessor)`

Method Summary
`protected ByteBuffer` | `doRead(URLConnection connection)`
`int` | `getResponseCode()`
`String` | `getResponseMessage()`

Methods inherited from class gov.nasa.worldwind.URLRetriever
`call, equals, getBeginTime, getBuffer, getConnection, getConnectTimeout, getContentLength, getContentLengthRead, getContentType, getEndTime, getName, getPostProcessor, getState, getSubmitTime, getUrl, hashCode, setBeginTime, setConnectTimeout, setContentLengthRead, setEndTime, setSubmitTime, toString`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### HTTPRetriever

    public HTTPRetriever(URL url,
                         RetrievalPostProcessor postProcessor)

Method Detail

### doRead

    protected ByteBuffer doRead(URLConnection connection)
                         throws Exception

  Overrides:
    `doRead` in class `URLRetriever`
  Returns:
  Throws:
    `Exception`
    `IllegalArgumentException` - if `connection` is null

### getResponseCode

    public int getResponseCode()

### getResponseMessage

    public String getResponseMessage()

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD